.text
.global &mFNAME
&mFNAME:
	stm	%r2,%r15,8(%r15)
	lr	%r1,%r15
	ahi	%r15,-96
	st	%r1,0(%r15)
	bras	%r13,2f
1:
	.long	_GLOBAL_OFFSET_TABLE_-1b
	.long	D.&mFNAME@GOT
	.long	_mFdynload@PLT-1b
2:
	l	%r12,0(%r13)
	la	%r12,0(%r12,%r13)
	l	%r5,4(%r13)
	l	%r5,0(%r12,%r5)
	l	%r1,0(%r5)
	or	%r1,%r1
	jnz	3f
	la	%r2,L.&mFNAME-D.&mFNAME(%r5)
	la	%r3,S.&mFNAME-D.&mFNAME(%r5)
	lr	%r4,%r13
	ahi	%r4,&mFNAME-1b
	lhi	%r6,&mFflag
	l	%r14,8(%r13)
	bas	%r14,0(%r14,%r13)
	lr	%r1,%r2
3:
	lm	%r2,%r15,104(%r15)
	br	%r1
.data
D.&mFNAME:
	.long	0
S.&mFNAME:
	.string	"&mFNAME"
L.&mFNAME:
	.string	"&mFNAM2"
